Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Macros | Functions
hdftest.h File Reference
`#include <float.h>`
`#include <math.h>`
`#include <stdio.h>`

## Macros
#define | TESTING(WHAT)
#define | PASSED()
#define | H4_FAILED()
#define | H4_WARNING()
#define | SKIPPED()
#define | CHECK(status, fail_value, name)
#define | CHECK_IND(status, fail_value, name, index)
#define | VERIFY(item, value, test_name)
#define | VERIFY_CHAR(item, value, test_name)
#define | CHECK_ALLOC(buffer, buf_name, func_name)
#define | H4_FLT_ABS_EQUAL(X, Y) (fabsf((X) - (Y)) < FLT_EPSILON)
#define | H4_DBL_ABS_EQUAL(X, Y) (fabs((X) - (Y)) < DBL_EPSILON)
#define | H4_LDBL_ABS_EQUAL(X, Y) (fabsl((X) - (Y)) < LDBL_EPSILON)

## Functions
const char * | get_srcdir (void)
const char * | get_srcdir_filename (const char *filename)
intn | make_sourcepath (char *src_path, unsigned int size)
int32 | make_SDS (int32 sd_id, char *sds_name, int32 type, int32 rank, int32 *dim_sizes, int32 unlim_dim, void *written_data)
int32 | make_CompSDS (int32 sd_id, char *sds_name, int32 type, int32 rank, int32 *dim_sizes, void *written_data)
int32 | make_Ext3D_SDS (int32 sd_id, char *sds_name, int32 type, int32 rank, int32 *dim_sizes, void *written_data, int32 offset, char *ext_file_name)
int32 | append_Data2SDS (int32 sd_id, char *sds_name, int32 *start, int32 *edges, void *ap_data)
intn | verify_datasize (int32 sds_id, int32 data_size, char *sds_name)
int | verify_info_data (int32 sds_id, int32 expected_dimsize, int16 *result)
int32 | get_SDSbyName (int32 sd_id, const char *sds_name)

## Macro Definition Documentation

## ◆ CHECK

#define CHECK | ( |  | status,
|  |  | fail_value,
|  |  | name )

Value:
{ \
if (status == fail_value) { \
fprintf(stderr, "*** Routine %s FAILED at line %d ***\n", name, __LINE__); \
num_errs++; \
} \
}
name
intf _fcd name
Definition hproto_fortran.h:762
num_errs
int num_errs

## ◆ CHECK_ALLOC

#define CHECK_ALLOC | ( |  | buffer,
|  |  | buf_name,
|  |  | func_name )

Value:
{ \
if (buffer == NULL) { \
fprintf(stderr, "in %s: space allocation for %s failed. Terminated!\n", func_name, buf_name); \
exit(1); \
} \
}
buffer
intf intf intf intf intf void * buffer
Definition hproto_fortran.h:314

## ◆ CHECK_IND

#define CHECK_IND | ( |  | status,
|  |  | fail_value,
|  |  | name,
|  |  | index )

Value:
{ \
if (status == fail_value) { \
fprintf(stderr, "*** Routine %s FAILED at line %d for SDS index %d ***\n", name, __LINE__, \
index); \
num_errs++; \
} \
}
index
HDFFCLIBAPI intf intf * index
Definition mfsdf.h:136

## ◆ H4_DBL_ABS_EQUAL

#define H4_DBL_ABS_EQUAL | ( |  | X,
|  |  | Y ) (fabs((X) - (Y)) < DBL_EPSILON)

## ◆ H4_FAILED

#define H4_FAILED | ( |  | ) |

Value:
do { \
puts("*FAILED*"); \
fflush(stdout); \
} while (0)

## ◆ H4_FLT_ABS_EQUAL

#define H4_FLT_ABS_EQUAL | ( |  | X,
|  |  | Y ) (fabsf((X) - (Y)) < FLT_EPSILON)

## ◆ H4_LDBL_ABS_EQUAL

#define H4_LDBL_ABS_EQUAL | ( |  | X,
|  |  | Y ) (fabsl((X) - (Y)) < LDBL_EPSILON)

## ◆ H4_WARNING

#define H4_WARNING | ( |  | ) |

Value:
{ \
puts("*WARNING*"); \
fflush(stdout); \
}

## ◆ PASSED

#define PASSED | ( |  | ) |

Value:
do { \
puts(" PASSED"); \
fflush(stdout); \
} while (0)

## ◆ SKIPPED

#define SKIPPED | ( |  | ) |

Value:
{ \
puts(" -SKIP-"); \
fflush(stdout); \
}

## ◆ TESTING

#define TESTING | ( |  | WHAT | ) |

Value:
{ \
printf("Testing %-62s", WHAT); \
fflush(stdout); \
}

## ◆ VERIFY

#define VERIFY | ( |  | item,
|  |  | value,
|  |  | test_name )

Value:
{ \
if (item != value) { \
fprintf(stderr, "*** UNEXPECTED VALUE from %s is %ld at line %4d in %s\n", test_name, \
(long)item, (int)__LINE__, __FILE__); \
num_errs++; \
} \
}

## ◆ VERIFY_CHAR

#define VERIFY_CHAR | ( |  | item,
|  |  | value,
|  |  | test_name )

Value:
{ \
if (strcmp(item, value) != 0) { \
fprintf(stderr, "*** UNEXPECTED VALUE from %s is <%s> at line %4d in %s\n", test_name, item, \
(int)__LINE__, __FILE__); \
num_errs++; \
} \
}

## Function Documentation

## ◆ append_Data2SDS()

int32 append_Data2SDS | ( | int32 | sd_id,
|  | char * | sds_name,
|  | int32 * | start,
|  | int32 * | edges,
|  | void * | ap_data )

## ◆ get_SDSbyName()

int32 get_SDSbyName | ( | int32 | sd_id,
|  | const char * | sds_name )

## ◆ get_srcdir()

const char * get_srcdir | ( | void |  | ) |

## ◆ get_srcdir_filename()

const char * get_srcdir_filename | ( | const char * | filename | ) |

## ◆ make_CompSDS()

int32 make_CompSDS | ( | int32 | sd_id,
|  | char * | sds_name,
|  | int32 | type,
|  | int32 | rank,
|  | int32 * | dim_sizes,
|  | void * | written_data )

## ◆ make_Ext3D_SDS()

int32 make_Ext3D_SDS | ( | int32 | sd_id,
|  | char * | sds_name,
|  | int32 | type,
|  | int32 | rank,
|  | int32 * | dim_sizes,
|  | void * | written_data,
|  | int32 | offset,
|  | char * | ext_file_name )

## ◆ make_SDS()

int32 make_SDS | ( | int32 | sd_id,
|  | char * | sds_name,
|  | int32 | type,
|  | int32 | rank,
|  | int32 * | dim_sizes,
|  | int32 | unlim_dim,
|  | void * | written_data )

## ◆ make_sourcepath()

intn make_sourcepath | ( | char * | src_path,
|  | unsigned int | size )

## ◆ verify_datasize()

intn verify_datasize | ( | int32 | sds_id,
|  | int32 | data_size,
|  | char * | sds_name )

## ◆ verify_info_data()

int verify_info_data | ( | int32 | sds_id,
|  | int32 | expected_dimsize,
|  | int16 * | result )